Bug 1194732 - (CVE-2022-23303) VUL-0: CVE-2022-23303: wpa_supplicant,hostapd: SAE vulnerable to side channel attacks as a result of cache access patterns
(CVE-2022-23303)
VUL-0: CVE-2022-23303: wpa_supplicant,hostapd: SAE vulnerable to side channel...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Minor
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/320757/
CVSSv3.1:SUSE:CVE-2022-23303:7.4:(AV:...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2022-01-17 08:42 UTC by Robert Frohl
Modified: 2022-09-16 12:45 UTC (History)
3 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Frohl 2022-01-17 08:42:45 UTC
CVE-2022-23303

The implementations of SAE in hostapd before 2.10 and wpa_supplicant before 2.10
are vulnerable to side channel attacks as a result of cache access patterns.
NOTE: this issue exists because of an incomplete fix for CVE-2019-9494.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2022-23303
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2022-23303
https://w1.fi/security/2022-1/
Comment 4 Swamp Workflow Management 2022-02-18 14:40:55 UTC
SUSE-SU-2022:0504-1: An update that fixes two vulnerabilities is now available.

Category: security (important)
Bug References: 1194732,1194733
CVE References: CVE-2022-23303,CVE-2022-2334
JIRA References: 
Sources used:
SUSE Linux Enterprise Server 12-SP5 (src):    wpa_supplicant-2.9-23.15.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 5 Swamp Workflow Management 2022-03-04 14:33:12 UTC
openSUSE-SU-2022:0716-1: An update that fixes two vulnerabilities is now available.

Category: security (important)
Bug References: 1194732,1194733
CVE References: CVE-2022-23303,CVE-2022-23304
JIRA References: 
Sources used:
openSUSE Leap 15.4 (src):    wpa_supplicant-2.9-4.33.1
openSUSE Leap 15.3 (src):    wpa_supplicant-2.9-4.33.1
Comment 6 Swamp Workflow Management 2022-03-04 14:43:34 UTC
SUSE-SU-2022:0716-1: An update that fixes two vulnerabilities is now available.

Category: security (important)
Bug References: 1194732,1194733
CVE References: CVE-2022-23303,CVE-2022-23304
JIRA References: 
Sources used:
SUSE Manager Server 4.1 (src):    wpa_supplicant-2.9-4.33.1
SUSE Manager Retail Branch Server 4.1 (src):    wpa_supplicant-2.9-4.33.1
SUSE Manager Proxy 4.1 (src):    wpa_supplicant-2.9-4.33.1
SUSE Linux Enterprise Server for SAP 15-SP2 (src):    wpa_supplicant-2.9-4.33.1
SUSE Linux Enterprise Server for SAP 15-SP1 (src):    wpa_supplicant-2.9-4.33.1
SUSE Linux Enterprise Server for SAP 15 (src):    wpa_supplicant-2.9-4.33.1
SUSE Linux Enterprise Server 15-SP2-LTSS (src):    wpa_supplicant-2.9-4.33.1
SUSE Linux Enterprise Server 15-SP2-BCL (src):    wpa_supplicant-2.9-4.33.1
SUSE Linux Enterprise Server 15-SP1-LTSS (src):    wpa_supplicant-2.9-4.33.1
SUSE Linux Enterprise Server 15-SP1-BCL (src):    wpa_supplicant-2.9-4.33.1
SUSE Linux Enterprise Server 15-LTSS (src):    wpa_supplicant-2.9-4.33.1
SUSE Linux Enterprise Realtime Extension 15-SP2 (src):    wpa_supplicant-2.9-4.33.1
SUSE Linux Enterprise Module for Basesystem 15-SP4 (src):    wpa_supplicant-2.9-4.33.1
SUSE Linux Enterprise Module for Basesystem 15-SP3 (src):    wpa_supplicant-2.9-4.33.1
SUSE Linux Enterprise Micro 5.1 (src):    wpa_supplicant-2.9-4.33.1
SUSE Linux Enterprise Micro 5.0 (src):    wpa_supplicant-2.9-4.33.1
SUSE Linux Enterprise High Performance Computing 15-SP2-LTSS (src):    wpa_supplicant-2.9-4.33.1
SUSE Linux Enterprise High Performance Computing 15-SP2-ESPOS (src):    wpa_supplicant-2.9-4.33.1
SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS (src):    wpa_supplicant-2.9-4.33.1
SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS (src):    wpa_supplicant-2.9-4.33.1
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    wpa_supplicant-2.9-4.33.1
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    wpa_supplicant-2.9-4.33.1
SUSE Enterprise Storage 7 (src):    wpa_supplicant-2.9-4.33.1
SUSE Enterprise Storage 6 (src):    wpa_supplicant-2.9-4.33.1
SUSE CaaS Platform 4.0 (src):    wpa_supplicant-2.9-4.33.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 10 Swamp Workflow Management 2022-04-19 22:25:22 UTC
SUSE-SU-2022:0716-2: An update that fixes two vulnerabilities is now available.

Category: security (important)
Bug References: 1194732,1194733
CVE References: CVE-2022-23303,CVE-2022-23304
JIRA References: 
Sources used:
SUSE Linux Enterprise Micro 5.2 (src):    wpa_supplicant-2.9-4.33.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 12 Robert Frohl 2022-05-03 11:40:02 UTC
won't fix for:

- SUSE:SLE-11-SP2:Update/wpa_supplicant  (0.7.1)
Comment 13 Swamp Workflow Management 2022-05-26 10:19:01 UTC
SUSE-SU-2022:1853-1: An update that fixes 20 vulnerabilities, contains one feature is now available.

Category: security (important)
Bug References: 1131644,1131868,1131870,1131871,1131872,1131874,1133640,1144443,1156920,1165266,1166933,1167331,1182805,1194732,1194733
CVE References: CVE-2015-8041,CVE-2017-13077,CVE-2017-13078,CVE-2017-13079,CVE-2017-13080,CVE-2017-13081,CVE-2017-13082,CVE-2017-13086,CVE-2017-13087,CVE-2017-13088,CVE-2018-14526,CVE-2019-11555,CVE-2019-13377,CVE-2019-9494,CVE-2019-9495,CVE-2019-9497,CVE-2019-9498,CVE-2019-9499,CVE-2022-23303,CVE-2022-23304
JIRA References: SLE-14992
Sources used:
SUSE OpenStack Cloud Crowbar 9 (src):    wpa_supplicant-2.9-15.22.1
SUSE OpenStack Cloud Crowbar 8 (src):    wpa_supplicant-2.9-15.22.1
SUSE OpenStack Cloud 9 (src):    wpa_supplicant-2.9-15.22.1
SUSE OpenStack Cloud 8 (src):    wpa_supplicant-2.9-15.22.1
SUSE Linux Enterprise Server for SAP 12-SP4 (src):    wpa_supplicant-2.9-15.22.1
SUSE Linux Enterprise Server for SAP 12-SP3 (src):    wpa_supplicant-2.9-15.22.1
SUSE Linux Enterprise Server 12-SP4-LTSS (src):    wpa_supplicant-2.9-15.22.1
SUSE Linux Enterprise Server 12-SP3-LTSS (src):    wpa_supplicant-2.9-15.22.1
SUSE Linux Enterprise Server 12-SP3-BCL (src):    wpa_supplicant-2.9-15.22.1
SUSE Linux Enterprise Server 12-SP2-BCL (src):    wpa_supplicant-2.9-15.22.1
HPE Helion Openstack 8 (src):    wpa_supplicant-2.9-15.22.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 14 Carlos López 2022-09-16 12:45:29 UTC
Done, closing.